libkeymap 2.6.3 Library to manage the Linux keymaps

Macros | Typedefs
logging.h File Reference

Functions for logging. More...

`#include <syslog.h>`
`#include <keymap/context.h>`

Go to the source code of this file.

## Macros
#define | __attribute__(x) /*NOTHING*/

## Typedefs
typedef void(* | lk_logger_t) (void *, int, const char *, int, const char *, const char *, va_list) __attribute__((nonnull(1))) __attribute__((format(printf
typedef void(*) voi | lk_log) (struct lk_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *fmt,...) __attribute__((format(printf
typedef void(*) voi | __attribute__) ((nonnull(1)))

## Detailed Description

Functions for logging.

## Macro Definition Documentation

## ◆ __attribute__

#define __attribute__ | ( |  | x | ) | /*NOTHING*/

## Typedef Documentation

## ◆ lk_logger_t

typedef void(* lk_logger_t) (void *, int, const char *, int, const char *, const char *, va_list) __attribute__((nonnull(1))) __attribute__((format(printf

## ◆ lk_log

typedef void(*) voi lk_log) (struct lk_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *fmt,...) __attribute__((format(printf

Logging function which uses log_fn and log_data to write log messages.

Parameters

  ctx | is a keymap library context.
  priority | indicates the priority.

## ◆ __attribute__

typedef void(*) voi __attribute__) ((nonnull(1)))